[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ExceptionErrorMessage

Return a message describing the exception.

## Declaration

Source position: sysutilh.inc line 239

`function ExceptionErrorMessage(`
`ExceptObject: TObject;`
`ExceptAddr: Pointer;`
`Buffer: PChar;`
`Size: Integer`
`):Integer;`

## Description

ExceptionErrorMessage creates a string that describes the exception object ExceptObject at address ExceptAddr. It can be used to display exception messages. The string will be stored in the memory pointed to by Buffer, and will at most have Size characters.

The routine checks whether ExceptObject is a Exception object or not, and adapts the output accordingly.

## See also

ExceptObject |  | Current Exception object.
ExceptAddr |  | Current exception address.
ShowException |  | Show the current exception to the user.